Bug 496794 - Hardcoded /lib in 64-bit multi-arch packages
Hardcoded /lib in 64-bit multi-arch packages
Product: Fedora
Classification: Fedora
Component: gupnp-vala (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
: EasyFix
Depends On:
  Show dependency treegraph
Reported: 2009-04-21 04:24 EDT by Michael Schwendt
Modified: 2009-06-30 17:29 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.5.4-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-30 17:29:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2009-04-21 04:24:14 EDT
/usr/lib64/pkgconfig/gupnp-vala-1.0.pc  contains a hardcoded libdir which doesn't point to /usr/lib64.
Comment 1 Peter Robinson 2009-04-21 05:30:57 EDT
I don't see anything hardcoded in there that's any different to gtk/glib or any of the others I checked.

$ more /usr/lib64/pkgconfig/gupnp-vala-1.0.pc

Name: gupnp-vala-1.0
Description: Vala bindings for GUPnP
Version: 0.5.3
Comment 2 Michael Schwendt 2009-04-21 09:20:12 EDT
$ pkg-config --variable=libdir gupnp-vala-1.0

is wrong on 64-bit platforms.

> libdir=${exec_prefix}/lib

Ought to be: libdir=${exec_prefix}/lib64

It's a minor error only because ${libdir} is not reused anywhere in that file, for example there is no "Libs:" definition.
Comment 3 Peter Robinson 2009-04-22 06:02:53 EDT
Looking at the other gupnp packages it looks to be an issue with them all. I've reported it upstream so they can fix it properly there.
Comment 4 Peter Robinson 2009-04-29 08:53:09 EDT
this has been fixed upstream and there should be an official release shortly with the fix.
Comment 5 Bug Zapper 2009-06-09 10:16:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 6 Fedora Update System 2009-06-21 12:51:18 EDT
gupnp-vala-0.5.4-2.fc11 has been submitted as an update for Fedora 11.
Comment 7 Fedora Update System 2009-06-24 15:31:44 EDT
gupnp-vala-0.5.4-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gupnp-vala'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6879
Comment 8 Fedora Update System 2009-06-30 17:28:56 EDT
gupnp-vala-0.5.4-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.